#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-4tiMb7VFj8n6BWtcuwjj9i
key:                  lsp-1.4.0.0-4tiMb7VFj8n6BWtcuwjj9i
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  5dd6dc6868813f36361f7422ee34144a
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-CV7BdVEmPwdIxXxkwVfkB0:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-CV7BdVEmPwdIxXxkwVfkB0:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-CV7BdVEmPwdIxXxkwVfkB0:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-CV7BdVEmPwdIxXxkwVfkB0:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-4tiMb7VFj8n6BWtcuwjj9i
depends:
    aeson-2.1.2.1-ACNZHhH4U2e67aZXZDgTOb
    async-2.2.4-BdHoOnHsHdsApgNgZOPvuU
    attoparsec-0.14.4-IunVluIlg1j8NQqYaVddnF base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-8E5NGoO1gLxEpVTFDWBmYU exceptions-0.10.4
    hashable-1.4.3.0-ESEjVh9IF6l3kXlrvIyche
    hslogger-1.3.1.0-68cva3tAUC714cLtvaO2Va
    lens-5.2.3-A4jq1zRTTDpJs4RZBLF7I7
    lsp-types-1.4.0.1-CV7BdVEmPwdIxXxkwVfkB0 mtl-2.2.2
    network-uri-2.6.4.2-DMyN8FyoGQmvoWeJhHIV
    random-1.2.1.1-Jsd8w3Sbg0mK17rOHVUzgD
    scientific-0.3.7.0-7992hTQSngN1mZw90JzZGW
    sorted-list-0.2.1.2-58UU11oG5jY1KnTlZmN3LP stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy
    uuid-1.3.15-LiCokX7zshi9w4pCEl5fVd

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

